/****************************************************
 * oscP5sendreceive by andreas schlegel
 * example shows how to send and receive osc messages.
 * oscP5 website at http://www.sojamo.de/oscP5
 *
 * -Expecting data sent from "OSC_send"
 */
import oscP5.*;
import netP5.*;
//-------------- Global Variables defined at top --------------------
String messg;  //-- Create integer variable for notifications from OSC
OscP5 oscP5;   //-- Create instance of OscP5 software object
PImage singer; //-- Create variable of type "PImage"

void setup() {
  size(470,700);
  frameRate(25);
  /* start oscP5, listening for incoming messages at port 8100 */
  oscP5 = new OscP5(this, 8100); //-- Create instance of OscP5 called "oscP5"
  singer = loadImage("billie.jpg");
}

void draw() { 
    if(messg == "true") {
   image(singer, 0, 0 );
    } else {
      background(0);
    }
}


/* incoming osc message are forwarded to the oscEvent method. */
void oscEvent(OscMessage theOscMessage) {
  if(theOscMessage.checkAddrPattern("/test")==true) {
    messg = "true";
  } else {
    messg ="notYet";
  }
}
